MCP tools
get_device
One device with its capabilities and health.
| REST operation | getDevice (GET /v1/devices/{deviceId}) |
| Needs a device | yes |
| Read only | yes |
| Profiles | full |
Parameters
Section titled “Parameters”| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
device_id |
yes | string | path deviceId |
Stable device id such as ios:00008120-001A2B3C4D5E6F70 or android:R58M123ABC. |
lease |
no | string | header Silan-Lease |
Lease token when the device is claimed. |
Example call
Section titled “Example call”get_device({ device_id: "ios:00008120-001A2B3C4D5E6F70" })